Loading...
Searching...
No Matches
WINSEC_DESC Struct Reference

XXX: document this. More...

`#include "winsec.h"`

Collaboration diagram for WINSEC_DESC:
[legend]

## Data Fields

uint8_t | revision
| 0x01
uint8_t | sbz1
| XXX: better explain this.
uint16_t | control
| WINSEC_DESC_* flags.
uint32_t | off_owner_sid
| Offset to owner sid.
uint32_t | off_grp_sid
| Offset to group sid.
uint32_t | off_sacl
| Offset to system list of permissions.
uint32_t | off_dacl
| Offset to list of permissions.
WINSEC_DOM_SID * | owner_sid
| XXX: document this.
WINSEC_DOM_SID * | grp_sid
| XXX: document this.
WINSEC_ACL * | sacl
| System ACL.
WINSEC_ACL * | dacl
| User ACL.

## Detailed Description

XXX: document this.

## Field Documentation

## sbz1

uint8_t WINSEC_DESC::sbz1

XXX: better explain this.

"If the Control field has the RM flag set, then this field contains the resource manager (RM) control value. ... Otherwise, this field is reserved and MUST be set to zero." – Microsoft. See: http://msdn.microsoft.com/en-us/library/cc230371%28PROT.10%29.aspx

Referenced by winsec_parse_desc().

The documentation for this struct was generated from the following file:

- winsec.h